#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cargo-c
Version		:	0.10.5
Release		:	17.2.0.rel%{?dist}
Summary		:	A cargo subcommand to build and install C-ABI compatibile dynamic and static libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv2.0
URL		:	https://github.com/eqrion/cbindgen

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cargo
BuildRequires	:	curl
BuildRequires	:	make-ca
BuildRequires	:	openssl
BuildRequires	:	zlib

#-----------------------------------------------------------------------------
%description
It produces and installs a correct pkg-config file,
a static library and a dynamic library, and
a C header to be used by any C (and C-compatible)
software.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall
%{_bindir}/cargo-ctest

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

%{__mv} %{name}-ok_addon/Cargo.lock .

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
cargo build 						\
	%{_smp_mflags}					\
	--release					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}						\
	%{buildroot}%{_bindir}/

install -m755						\
	target/release/cargo-{capi,cbuild}		\
	target/release/cargo-{cinstall,ctest}		\
	%{buildroot}%{_bindir}/

#-----------------------------------------------------------------------------
%changelog
